Subject: make "git --pager/--nopager" work as intended

From: Harald Dunkel <[email-masked]>
Date: Thu, 22 Jan 2026 10:37:49 +0100

Hi folks,

maybe its neurological, but the current behavior of "git -p" vs "git -P"
makes me feel uneasy. Some commands (like git diff) use a pager by default,
some ues it even without need (git branch), others don't. For every other
git command I run I have the feeling git output is not working as intended.

Setting core.pager to "cat" is not a solution. It breaks git -p.

Regards
Harri